
/*
///////////////////////////////////////////////////////////////////////////////
//
//	File Name	:	mmc.h
//
//	Author		:	Autonics R&D Center YSD
//                  www.autonics.co.kr
//
///////////////////////////////////////////////////////////////////////////////
*/
#if !defined(__MMC_H__)
#define __MMC_H__


#ifdef __cplusplus
extern "C" {
#endif

#define MAX_CARD	16


#define WR0			0x00
#define WR1			0x02
#define WR2			0x04
#define WR3			0x06
#define WR4			0x08
#define WR5			0x0a
#define WR6			0x0c
#define WR7			0x0e

#define RR0			0x00
#define RR1			0x02
#define RR2			0x04
#define RR3			0x06
#define RR4			0x08
#define RR5			0x0a
#define RR6			0x0c
#define RR7			0x0e

#ifdef __MC8041P__
	#define RID			0x10	// card id address (for MC8041P)
#endif

#ifdef __PMC2ISA__
	#define RDD			0x10	// user data address (for PMC-2ISA)
#endif


HANDLE OpenCard_N( int no, void (WINAPI *isr)(void), int base_addr, int size, int irq);
BOOL CloseCard_N( int no );
BOOL CloseCard_all( void );
WORD InW_N( int no, WORD iocc );
void OutW_N( int no, WORD iocc, int data );
int _hookIRQ( int no, void (WINAPI *isr)(void));
char* ValidString( void );
int GetAxes( void );


#ifdef __cplusplus
}
#endif

#endif /* !defined(__MMC_H__) */
